Remove dialogwrapper now that dialog4ports exists

This commit is contained in:
Eitan Adler 2013-07-07 15:32:35 +00:00
parent c8c56ab454
commit c92a7a17e1
Notes: svn2git 2021-03-31 03:12:20 +00:00
svn path=/head/; revision=322444
2 changed files with 0 additions and 50 deletions

View File

@ -20,8 +20,6 @@ close-pr - a slightly hacked version of edit-pr(1) to quickly close PR.
convert-makefile-header.pl - converts old style headers to modern one-line version
de-pkg-comment - converts pkg-comment to COMMENT (will be obsoleted when
the mass conversion is finished)
dialogwrapper.sh - a wrapper for dialog(1) which provides extra features
and compatability
distclean - compare md5 sums of distfiles in ports/distfiles with currently
installed ports collection in ports/* and prompt to remove
unmatched entries

View File

@ -1,48 +0,0 @@
#! /bin/sh
# $FreeBSD$
# Maintainer: portmgr@FreeBSD.org
set -e
if [ -z "${DIALOG4PORTS}" -o -z "${PORTSDIR}" -o -z "${MAKE}" ]; then
echo "DIALOG4PORTS, MAKE and PORTSDIR required in environment." >&2
exit 1
fi
: ${DIALOGPORT:=ports-mgmt/dialog4ports}
: ${DIALOGNAME:=dialog4ports}
OPTIONSFILE="$1"
if ! [ -e $DIALOG4PORTS ]; then
# If INSTALL_AS_USER is set then just build and use the WRKDIR version
# Also do this if PREFIX!=LOCALBASE to avoid missing file or double
# installs
if [ -n "${INSTALL_AS_USER}" -o "${PREFIX}" != "${LOCALBASE}" ]; then
if ! [ -d "${PORTSDIR}/${DIALOGPORT}" ]; then
echo "===> Skipping 'config' as ${DIALOGPORT} is not checked out" >&2
exit 1
fi
DIALOG4PORTS=$(${MAKE} -C ${PORTSDIR}/${DIALOGPORT} -V DIALOG4PORTS)
if ! [ -e "${DIALOG4PORTS}" ]; then
echo "===> Building ${DIALOGNAME} as it is required for the config dialog"
${MAKE} -C ${PORTSDIR}/${DIALOGPORT} -D NO_DIALOG clean build
fi
else
# Build+install through su-install as normal
echo "===> Building/installing ${DIALOGNAME} as it is required for the config dialog"
${MAKE} -C ${PORTSDIR}/${DIALOGPORT} -D NO_DIALOG clean install
# Need to clean again as it can't run twice in 1 call above
${MAKE} -C ${PORTSDIR}/${DIALOGPORT} -D NO_DIALOG clean
fi
fi
# Backwards compat with older version which used stdout [<= 0.1.1] (or stderr [0.1.2]).
# Clear environment of PKGNAME or the dialog will show on older versions
# that do not understand -v.
if ! env -u PKGNAME ${DIALOG4PORTS} -v > /dev/null 2>&1; then
exec $DIALOG4PORTS > $OPTIONSFILE 2>&1
fi
# Newer versions use stderr to work around a jail issue
# http://lists.freebsd.org/pipermail/freebsd-ports/2013-March/082383.html
exec $DIALOG4PORTS 2> $OPTIONSFILE